module AST where

type Id = String

data Expr = Var Id
          | Number Double
          | Negate Expr
          | Plus Expr Expr
          | Times Expr Expr
          | Div Expr Expr
          | LessEq Expr Expr
          | Eq Expr Expr          
          deriving (Eq, Show)

data Cmd = While Expr Cmds
         | If Expr Cmds Cmds
         | Assign Id Expr
         | Print Expr
           deriving (Eq, Show)

type Cmds = [Cmd]

type Decls = [Id]

data Prog = Prog Decls Cmds deriving Show
